<template>
  <div>
    <div class=" card m-4">
      <div class="d-flex card-header align-items-center">
        <h3>Detail User</h3>
      </div>
      <div class="row p-3 detail-user">

        <div class="col-md-3">
          <div class="card text-center h-100">
            <div>
              <img
                class="profile-user-img img-fluid img-circle w-50"
                :src="convertAvatar(user.id)"
                alt="avatar"
              />
            </div>
            <h4 class="profile-username my-3">{{ user.name }}</h4>
            <p class="text-muted">
              {{ getNameTeamById(user.team_id) }}
            </p>
            <h5 class="text-muted">
              {{ getNameRoleUserById(user.roles) }}
            </h5>
          </div>
        </div>
        <div class="col-md-9">
          <div class="card card-body">
            <strong><font-awesome-icon fas icon="envelope" /> Email</strong>
            <p class="text-muted">
              {{ user.email }}
            </p>
            <strong><font-awesome-icon fas icon="phone-square" /> Phone</strong>
            <p class="text-muted">
              {{ user.phone }}
            </p>
            <strong><font-awesome-icon fas icon="birthday-cake" /> Birthday</strong>
            <p class="text-muted">
              {{ user.birthday }}
            </p>
            <strong><font-awesome-icon fas icon="users" /> Gender</strong>
            <p class="text-muted">
              {{ getNameGenderUserById(user.gender) }}
            </p>
            <strong><font-awesome-icon fas icon="map-marker-alt" /> Address</strong>
            <p class="text-muted">
              {{ user.address }}
            </p>
          </div>
        </div>
      </div>
      <div class="form-submit">
        <div class="form-group text-center p-3">
          <NuxtLink to="/user/" class="btn btn-outline-primary">Back</NuxtLink>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import {API_TEAM, GENDER, ROLE, AVATAR_FEMALE, AVATAR_MALE } from '~/assets/contants/contant.js'
export default {
  data() {
    return {
      listTeam: [],
    }
  },
  props: ['user'],
  methods: {
    async getListTeam() {
      this.listTeam = await this.$axios.$get(API_TEAM)
    },
    getNameTeamById(teamId) {
      const team = this.listTeam.find(team => team.id == teamId)
      return team && team.name
    },
    getNameGenderUserById(genderId) {
      const gender = GENDER.find(gender => gender.id == genderId)
      return gender && gender.name
    },
    getNameRoleUserById(roleId) {
      const role = ROLE.find(role => role.id == roleId)
      return role && role.name
    }, 
    convertAvatar(id) {
        if (this.user && this.user.id == id && this.user.gender == 0) {
          return AVATAR_MALE
        }else return AVATAR_FEMALE
      }
  },
  mounted() {
     this.getListTeam();
     console.log(this.listTeam);
    }
}
</script>

<style>
.box-profile {
  border-top: 3px solid #007bff;
}
.card-body {
  box-shadow: 0 0 1px rgb(0 0 0 / 13%), 0 1px 3px rgb(0 0 0 / 20%);
  height: 100%;
}
.detail-user{
  margin: auto;
}
.detail-user img {
  margin-top:20px;
  margin-bottom:20px;
  width: 50%;
  border-radius: 50%;
}
</style>
